iPhone 3G will need iTunes 7.7 to run all related applications

Users of the new Apple iPhone will need to make sure that they have the latest variant of iTunes, v.7.7, in order to full utilise all the associated iPhone applications such as MobileMe and the App Store plus the new Firmware v2.0. Of course, once the iTunes software has been downloaded and integrated onto the iPhone you will also be able to sync all your music and videos that you have on the handset as well.


The iTunes that you need to download, however, has been specifically created for both the iPhone and the iPod Touch which has the version 2.0 firmware included.


The update description confirms the iPhone/iPod touch remote application that will be available as a free download from the App Store. As far as we know the App Store is not yet functional.


You can also download iTunes for Windows, of course.


Click here to download iTunes for Windows.


Written by Mobile Choice
Mobile Choice

Leave a Comment